Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.export.jpeg
Class JPEGWriter

    java.lang.Object
      info.bioinfweb.treegraph.graphics.export.AbstractGraphicWriter
          info.bioinfweb.treegraph.graphics.export.SVGTranscodeWriter
              info.bioinfweb.treegraph.graphics.export.jpeg.JPEGWriter

All Implemented Interfaces:
  GraphicWriter

    public class JPEGWriter

extends SVGTranscodeWriter
implements GraphicWriter

Field Summary
`static float` | `DEFAULT_QUALITY`
`static String` | `KEY_JPEG_QUALITY`
`static float` | `MAX_QUALITY`
`static float` | `MIN_QUALITY`

Fields inherited from interface info.bioinfweb.treegraph.graphics.export.GraphicWriter
`KEY_DIMENSIONS_IN_PIXELS, KEY_HEIGHT, KEY_PIXELS_PER_MILLIMETER, KEY_TRANSPARENT, KEY_WIDTH`

Constructor Summary
`JPEGWriter()`

Method Summary
`protected void` | `addTranscodingHints(org.apache.batik.transcoder.Transcoder transcoder, GraphicWriterHints writerHints)` This method can be overwritten to add more transcoding hints to the transcoder.

Methods inherited from class info.bioinfweb.treegraph.graphics.export.SVGTranscodeWriter
`write`

Methods inherited from class info.bioinfweb.treegraph.graphics.export.AbstractGraphicWriter
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.graphics.export.GraphicWriter
`write, write`

Field Detail

### DEFAULT_QUALITY

    public static final float DEFAULT_QUALITY

See Also:
  Constant Field Values

### MIN_QUALITY

    public static final float MIN_QUALITY

See Also:
  Constant Field Values

### MAX_QUALITY

    public static final float MAX_QUALITY

See Also:
  Constant Field Values

### KEY_JPEG_QUALITY

    public static final String KEY_JPEG_QUALITY

See Also:
  Constant Field Values

Constructor Detail

### JPEGWriter

    public JPEGWriter()

Method Detail

### addTranscodingHints

    protected void addTranscodingHints(org.apache.batik.transcoder.Transcoder transcoder,
                                       GraphicWriterHints writerHints)

  Description copied from class: `SVGTranscodeWriter`

  This method can be overwritten to add more transcoding hints to the transcoder. This can e.g. be done by copying graphic writer hints to transcoding hints.

  Note that `KEY_PIXEL_UNIT_TO_MILLIMETER`, `KEY_WIDTH`, `KEY_HEIGHT` and `KEY_BACKGROUND_COLOR` (the brackground color for formats which do not support transparency) have already been added.

  Overrides:
    `addTranscodingHints` in class `SVGTranscodeWriter`
  Parameters:
    `transcoder` - the transcoder that transcodes from SVG to the respective image format
    `writerHints` - the hints that were specified when the `write`-method of this writer was called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD